package kr.co.iya.todayyac;

import android.content.Context;
import android.database.Cursor;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class DataAdapter {
    protected static final String TAG = "DataAdapter";

    // TODO : TABLE 이름을 명시해야함
    protected static final String TABLE_NAME = "take_medicine";

    private final Context mContext;
    private SQLiteDatabase mDb;
    private TodayYacDbHelper mDbHelper;

    public DataAdapter(Context context) {
        this.mContext = context;
        mDbHelper = new TodayYacDbHelper(mContext);
    }

    public DataAdapter createDatabase() throws SQLException {
        try {
            mDbHelper.createDataBase();
        } catch (IOException mIOException) {
            Log.e(TAG, mIOException.toString() + "  UnableToCreateDatabase");
            throw new Error("UnableToCreateDatabase");
        }
        return this;
    }

    public DataAdapter open() throws SQLException {
        try {
            mDbHelper.openDataBase();
            mDbHelper.close();
            mDb = mDbHelper.getReadableDatabase();
        } catch (SQLException mSQLException) {
            Log.e(TAG, "open >>" + mSQLException.toString());
            throw mSQLException;
        }
        return this;
    }

    public void close() {
        mDbHelper.close();
    }

    public ArrayList getTableData() {
        try {
            // Table 이름 -> antpool_bitcoin 불러오기
            String sql = "SELECT * FROM " + TABLE_NAME;

            // 모델 넣을 리스트 생성
            ArrayList timeList = new ArrayList();

            // TODO : 모델 선언
            TodayInfo info = null;

            Cursor mCur = mDb.rawQuery(sql, null);
            if (mCur != null) {
                // 칼럼의 마지막까지
                while (mCur.moveToNext()) {

                    // TODO : 커스텀 모델 생성
                    info = new TodayInfo();

                    // TODO : Record 기술
                    // id, name, account, privateKey, secretKey, Comment
                    info.setDruggingTime1(mCur.getString(0));
                    info.setTitle1(mCur.getString(1));
                    info.setDruggingTime1(mCur.getString(2));
                    info.setTitle1(mCur.getString(3));
                    info.setDruggingTime1(mCur.getString(4));
                    info.setTitle1(mCur.getString(5));
                    info.setDruggingTime1(mCur.getString(6));

                    // 리스트에 넣기
                    timeList.add(info);
                }

            }
            return timeList;
        } catch (SQLException mSQLException) {
            Log.e(TAG, "getTestData >>" + mSQLException.toString());
            throw mSQLException;
        }
    }

    public  void insertTime(){
        try {
            mDb.execSQL("insert into take_medicine (druggin_date, title1, drugging_time1) values (date('now'),'아침',time('now'))");
        } catch (SQLException mSQLException) {
            Log.e(TAG, "getTestData >>" + mSQLException.toString());
            throw mSQLException;
        }
    }



}