package kr.co.iya.todayyac;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.util.Log;
import android.view.KeyEvent;
import android.webkit.WebChromeClient;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.appcompat.app.AppCompatActivity;

import java.util.ArrayList;


public class MainActivity extends AppCompatActivity {

    private WebView mWevView;
    private final String myUrl = "file:///android_asset";

    @SuppressLint("SetJavaScriptEnabled")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // 웹뷰 셋팅
        mWevView = (WebView) findViewById(R.id.webView);
        mWevView.getSettings().setJavaScriptEnabled(true); //자바스크립트 허용

        mWevView.loadUrl(myUrl + "/html/test.html");
        mWevView.setWebChromeClient(new WebChromeClient());  // 새창 띄우지 않기
        mWevView.setWebViewClient(new WevViewClientClass());

        mWevView.addJavascriptInterface(new AndroidBridge(), "sampleAndroid");
    }

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if ((keyCode == KeyEvent.KEYCODE_BACK) && mWevView.canGoBack()) {
            mWevView.goBack();
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }




    private void initLoadDB() {
        DataAdapter mDbHelper = new DataAdapter(getApplicationContext());
        mDbHelper.createDatabase();
        mDbHelper.open();

        // db에 있는 값들을 model을 적용해서 넣는다.
        ArrayList infoList = mDbHelper.getTableData();

        // db 닫기
        mDbHelper.close();
    }

    private static class WevViewClientClass extends WebViewClient {
        @Override
        public boolean shouldOverrideUrlLoading(WebView view, String url) {
            Log.d("check URL", url);
            view.loadUrl(url);
            return true;
        }
    }

}